# `ngDblclick` (directive in module `ng` )

Improve this doc

## Description

The `ngDblclick` directive allows you to specify custom behavior on dblclick event.

## Usage

as attribute

    <ANY ng-dblclick="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-dblclick: {expression};">
       ...
    </ANY>

### Parameters

- `ngDblclick – {expression} –`

  Expression to evaluate upon dblclick. (Event object is available as `$event`)

## Example

See `ngClick`